// TDR 1502C / YT1 recorder printer knob
//
include <knurledFinishLib.scad> 

hex=4.5;
outer=17;
inner=12;
h1=2;
h2=4.5;
h3=6.5;

/* [Hidden] */
$fn=45;

knurlWidth = 3;      // Knurl polyhedron width
knurlHeight = 2;      // Knurl polyhedron height
knurlDepth = 1;    // Knurl polyhedron depth
endSmoothing = .5;      // Cylinder ends smoothed height
surfaceSmoothing = 50;      // [ 0% - 100% ] Knurled surface smoothing amount 

knob();

module knob() {
  difference() {
    union() {
      knurled_cyl(h2, outer, knurlWidth, knurlHeight, knurlDepth, endSmoothing, surfaceSmoothing);       cylinder(d=outer, h=h2);
      cylinder(d=inner, h=h3);
    }
    translate([0,0,h1]) capscrew();
  }
}

module capscrew() {
  difference() {
    cylinder(d=8.0,h=h3);
    cylinder(d=4.4,h=3,$fn=6);
  }
}

